Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.actions
Class AnalyzeStackAction

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.actions.Action
              avrora.actions.AnalyzeStackAction

All Implemented Interfaces:
  HelpItem

public class AnalyzeStackAction
extends Action

The `AnalyzeStackAction` class is an extension of the `Main.Action` class that allows the stack tool to be reached from the command line.

Field Summary
`Option.Bool` | `DUMP_STATE_SPACE`
`static java.lang.String` | `HELP`
`static int` | `MEGABYTES`
`Option.Bool` | `MONITOR_STATES`
`Option.Long` | `RESERVE`
`Option.Bool` | `SHOW_PATH`
`Option.Bool` | `TRACE`
`Option.Bool` | `TRACE_SUMMARY`
`Option.Bool` | `USE_ISEA`

Fields inherited from class avrora.actions.Action
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`AnalyzeStackAction()` The default constructor of the `AnalyzeStackAction` class simply creates an empty instance with the appropriate name and help string.

Method Summary
`void` | `run(java.lang.String[] args)` The `run()` method runs the stack analysis by loading the program from the command line options specified, creating an instance of the `Analyzer` class, and running the analysis.

Methods inherited from class avrora.actions.Action
`newOption, newOption, newOption, newOption, newOption, newOptionList`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP

    public static final java.lang.String HELP

See Also:
  Constant Field Values

### MONITOR_STATES

    public final Option.Bool MONITOR_STATES

### USE_ISEA

    public final Option.Bool USE_ISEA

### TRACE_SUMMARY

    public final Option.Bool TRACE_SUMMARY

### TRACE

    public final Option.Bool TRACE

### DUMP_STATE_SPACE

    public final Option.Bool DUMP_STATE_SPACE

### SHOW_PATH

    public final Option.Bool SHOW_PATH

### RESERVE

    public final Option.Long RESERVE

### MEGABYTES

    public static final int MEGABYTES

See Also:
  Constant Field Values

Constructor Detail

### AnalyzeStackAction

    public AnalyzeStackAction()

  The default constructor of the `AnalyzeStackAction` class simply creates an empty instance with the appropriate name and help string.

Method Detail

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  The `run()` method runs the stack analysis by loading the program from the command line options specified, creating an instance of the `Analyzer` class, and running the analysis.

  Specified by:
    `run` in class `Action`
  Parameters:
    `args` - the string arguments that are the files containing the program
  Throws:
    `java.lang.Exception` - if the program cannot be loaded correctly

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD